.delivery-price {
    margin: 0 rem(-15) rem(46) rem(-15);

    @include media-breakpoint-up(md) {
        margin: 0 0 rem(70) 0;
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(75);
    }
}

.delivery-info {
    margin-bottom: rem(50);
    display: grid;
    grid-row-gap: rem(30);
    grid-template-columns: 1fr;

    &__item {
        color: #585757;
        font-weight: 500;
        line-height: 135%;
        font-size: rem(12);
    }

    &__media {
        font-size: 0;
        line-height: 0;
        width: rem(85);
        height: rem(85);
        background: #F5F5F3;
        display: flex;
        align-items: center;
        justify-content: center;
        margin: 0 auto rem(25) auto;
    }

    &__icon {
        flex-shrink: 0;
        height: rem(32);
        display: inline-block;
    }

    &__title {
        font-weight: 600;
        line-height: 135%;
        font-size: rem(14);
        margin-bottom: rem(10);
    }

    @include media-breakpoint-up(md) {
        grid-row-gap: rem(20);
        margin-bottom: rem(70);

        &__item {
            padding: rem(20);
            font-size: rem(14);
            border: 1px solid #F2F2F2;
            display: flex;
            align-items: center;
        }

        &__media {
            width: rem(137);
            height: rem(137);
            margin: 0 rem(40) 0 0;
            flex-shrink: 0;
        }

        &__icon {
            height: rem(52);
        }

        &__title {
            font-size: rem(16);
            margin-bottom: rem(4);
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(80);
        grid-row-gap: rem(30);
        grid-column-gap: rem(30);
        grid-template-columns: 1fr 1fr;

        &__item {
            padding: rem(30);
        }

        &__media {
            width: rem(170);
            height: rem(170);
        }

        &__icon {
            height: rem(65);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__media {
            margin-right: rem(72);
        }

        &__item {
            font-size: rem(16);
        }

        &__title {
            font-size: rem(18);
            margin-bottom: rem(8);
        }
    }
}

.delivery-text {
    color: #585757;
    font-weight: 500;
    line-height: 135%;
    font-size: rem(18);
    max-width: rem(1320);
    margin-bottom: rem(42);
    display: none;

    @include media-breakpoint-up(xl) {
        display: block;
    }
}

.delivery-media {
    margin-bottom: rem(38);
    display: grid;
    grid-row-gap: rem(24);
    grid-template-columns: 1fr;

    &__item {
        position: relative;
    }

    &__image {
        z-index: 1;
        height: rem(397);
        overflow: hidden;
        position: relative;
    }

    &__content {
        left: 0;
        bottom: 0;
        z-index: 20;
        width: rem(238);
        padding-top: rem(30);
        min-height: rem(93);
        background: $white;
        position: absolute;
        font-weight: 500;
        line-height: 125%;
        font-size: rem(14);
    }

    &__title {
        font-weight: 600;
        font-size: rem(16);
        margin-bottom: rem(8);
    }

    &__info {
        color: $purple;
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(70);
        grid-column-gap: rem(12);
        grid-template-columns: 1fr 1fr;

        &__image {
            height: rem(500);
        }

        &__content {
            width: rem(260);
            padding-top: rem(36);
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(80);
        grid-column-gap: rem(30);
    }
}

.delivery-warning {
    color: #585757;
    font-weight: 500;
    line-height: 125%;
    font-size: rem(10);
    overflow: hidden;
    position: relative;
    padding: rem(36) rem(46);
    border: 8px solid rgba(241, 240, 237, 0.70);

    &:before {
        content: '';
        top: rem(12);
        left: rem(12);
        right: rem(12);
        bottom: rem(12);
        position: absolute;
        border: 1px solid rgba(241, 240, 237, 0.70);
    }

    &__icon {
        display: none;
    }

    &__title {
        color: $purple;
        font-weight: 600;
        line-height: 125%;
        font-size: rem(16);
        margin-bottom: rem(8);
    }

    &__media {
        top: -4px;
        left: 0;
        width: 100%;
        z-index: 1;
        position: absolute;
    }

    &__content {
        z-index: 10;
        position: relative;

        p {
            margin-bottom: rem(12);

            &:last-child {
                margin-bottom: 0;
            }
        }
    }

    @include media-breakpoint-up(md) {
        display: flex;
        align-items: flex-start;
        font-size: rem(16);
        padding: rem(48) rem(40) rem(48) rem(36);

        &:before {
            top: rem(7);
            left: rem(7);
            right: rem(7);
            bottom: rem(7);
        }

        &__content {
            flex-grow: 1;
        }

        &__title {
            font-size: rem(22);
            margin-bottom: rem(24);
        }

        &__icon {
            display: block;
            width: rem(108);
            height: rem(108);
            flex-shrink: 0;
            margin-right: rem(30);
        }

        &__media {
            left: auto;
            right: rem(10);
            width: 448px;
        }
    }

    @include media-breakpoint-up(xl) {
        min-height: rem(300);
        font-size: rem(18);
        padding: rem(58) rem(84) rem(57) rem(78);

        &:before {
            top: rem(10);
            left: rem(10);
            right: rem(10);
            bottom: rem(10);
        }

        &__title {
            font-size: rem(26);
            margin-bottom: rem(14);
        }

        &__icon {
            margin-right: rem(62);
        }

        &__media {
            right: rem(-8);
            width: 682px;
        }

        &__content {

            p {
                margin-bottom: rem(18);

                &:last-child {
                    margin-bottom: 0;
                }
            }
        }
    }
}

.delivery-listing {
    margin: 0 rem(-15) rem(55) rem(-15);

    @include media-breakpoint-up(sm) {
        margin: 0 0 rem(55) 0;
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(70);
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(80);
    }
}

.delivery-vendors {
    margin-bottom: rem(32);

    &__header {
        max-width: rem(300);
        margin-bottom: rem(24);
    }

    &__content {
        background: $white;
        box-shadow: 0px 4px 100px 0px rgba(235, 237, 237, 0.60);
        display: grid;
        grid-template-columns: 1fr 1fr;
    }

    &__item {
        height: rem(142);
        text-align: center;
        position: relative;
        font-weight: 600;
        line-height: 135%;
        font-size: rem(11);
        padding: rem(92) rem(10) rem(12) rem(10);

        &:first-child {
            border-right: 1px solid #F2F2F2;
        }
    }

    &__title {
        height: rem(30);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__logo {
        position: absolute;

        &--01 {
            top: rem(25);
            width: 107px;
            left: calc(50% - 54px);
        }

        &--02 {
            top: rem(12);
            width: 135px;
            left: calc(50% - 68px);
        }
    }

    @include media-breakpoint-up(md) {

        &__header {
            max-width: rem(620);
        }

        &__item {
            font-size: rem(16);
            height: rem(268);
            padding-top: rem(200);
        }

        &__logo {
            position: absolute;

            &--01 {
                top: rem(57);
                width: 218px;
                left: calc(50% - 109px);
            }

            &--02 {
                top: rem(36);
                width: 286px;
                left: calc(50% - 143px);
            }
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(54);
        display: flex;
        align-items: center;
        justify-content: space-between;

        &__header {
            margin-right: rem(40);
            max-width: rem(680);
            margin-bottom: 0;
        }

        &__content {
            width: rem(762);
            flex-shrink: 0;
        }
    }
}

.delivery-order {

    &__content {
        font-weight: 400;
        line-height: 145%;
        font-size: rem(13);
        position: relative;
        padding-top: rem(35);
    }

    &__wrap {
        z-index: 10;
        position: relative;
    }

    &__header {
        margin-bottom: rem(8);
    }

    &__pattern {
        display: none;
    }

    @include media-breakpoint-up(md) {

        &__content {
            font-size: rem(16);
            padding-top: rem(68);
        }

        &__header {
            margin-bottom: rem(20);
        }

        &__pattern {
            top: 4px;
            right: 0;
            z-index: 1;
            width: 408px;
            display: block;
            position: absolute;
        }
    }

    @include media-breakpoint-up(lg) {
        display: flex;

        &__image {
            width: rem(400);
            margin-bottom: 0;
            flex-shrink: 0;
        }

        &__content  {
            padding: 0 0 0 rem(50);
            display: flex;
            align-items: center;
        }

        &__pattern {
            width: 500px;
        }
    }

    @include media-breakpoint-up(xl) {

        &__image {
            width: rem(600);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__image {
            width: rem(780);
        }

        &__content  {
            padding-left: rem(100);
        }

        &__pattern {
            width: 746px;
        }
    }
}

.listing {
    display: grid;
    grid-template-columns: 1fr;
    border-top: 1px solid #F2F2F2;
    border-left: 1px solid #F2F2F2;

    &__item {
        color: $dark;
        background: $white;
        line-height: 135%;
        font-size: rem(13);
        text-align: center;
        padding: rem(48) rem(20);
        border-right: 1px solid #F2F2F2;
        border-bottom: 1px solid #F2F2F2;
    }

    &__num {
        color: $purple;
        font-weight: 600;
        line-height: 145%;
        font-size: rem(36);
        display: inline-block;

        &:after {
            top: -2px;
            content: '/';
            color: #E7E7E3;
            position: relative;
            line-height: 145%;
            font-size: rem(24);
            margin-left: rem(4);
        }
    }

    @include media-breakpoint-up(sm) {
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(md) {

        &__item {
            font-size: rem(14);
        }

        &__num {
            font-size: rem(55);

            &:before {
                font-size: rem(30);
            }
        }
    }

    @include media-breakpoint-up(xl) {
        grid-template-columns: 1fr 1fr 1fr 1fr;

        &__item {
            min-height: rem(345);
            font-size: rem(16);
            padding: rem(56) rem(24);
        }

        &__num {
            margin-bottom: rem(20);
        }
    }
}

@include media-breakpoint-up(sm) {}

@include media-breakpoint-up(md) {}

@include media-breakpoint-up(lg) {}

@include media-breakpoint-up(xl) {}

@include media-breakpoint-up(xxl) {}
